#!/usr/bin/env node

const download = require('download-git-repo')
const program = require('commander')
const log = require('tracer').colorConsole()

program
  .version('0.0.4')
  .description('vue-cli基础项目的web端模板')

program
  .command('clone')
  .action(function () {
    log.info('当前只是简单拉去')
    log.info(`正在拉取模板代码，下载位置：https://github.com/qm8956/tudou-frontend-cli/ ...`)
    download('direct:https://github.com/qm8956/tudou-frontend-cli.git', 'frontend/tmp', { clone: true }, function (err) {
      console.log(err ? 'Error' : 'Success')
      log.info('模板工程建立完成')
      log.warn('cd tudou-frontend-cli')
      log.warn('npm install')
      log.warn('npm run dev')
    })
  })

program.parse(process.argv)
